# Errors

Module for GVM errors

exception GvmClientError

  An exception for gvm client errors

  Base class for all exceptions originating in python-gvm.

exception GvmError

  An exception for gvm errors

  Base class for all exceptions originating in python-gvm.

  __init__(message, *args)

exception GvmResponseError

  An exception for gvm server errors

  Derives from `GvmClientError`

  Parameters:

    - status – The HTTP response status

    - message – Error message to be displayed. Takes precedence over argument and function

  __init__(status=None, message=None)

exception GvmServerError

  An exception for gvm server errors

  Derives from `GvmError`

  Parameters:

    - status – The HTTP response status

    - message – Error message to be displayed. Takes precedence over argument and function

  __init__(status=None, message=None)

exception InvalidArgument

  Raised if an invalid argument/parameter is passed

  Derives from `GvmError`

  Parameters:

    - message – Error message to be displayed. Takes precedence over argument and function

    - argument – Optional name of the invalid argument

    - function – Optional name of the called function

  __init__(message=None, *, argument=None, function=None)

exception InvalidArgumentType

  Raised if a passed argument has an invalid type

  Derives from `GvmError`

  Parameters:

    - argument – Name of the invalid argument

    - arg_type – The correct argument type

    - function – Optional name of the called function

  __init__(argument, *, arg_type=None, function=None)

exception RequiredArgument

  Raised if a required argument/parameter is missing

  Derives from `GvmError`

  Parameters:

    - message – Error message to be displayed. Takes precedence over argument and function.

    - argument – Optional name of the required argument.

    - function – Optional name of the called function.

  __init__(message=None, *, argument=None, function=None)